Subject: Re: [PATCH] cache-tree: populate cache-tree on successful merge

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jul 2015 12:50:08 -0700

David Turner <[email-masked]> writes:

> When we unpack trees into an existing index, we discard the old index
> and replace it with the new, merged index.  Ensure that this index has
> its cache-tree populated.  This will make subsequent git status and
> commit commands faster.

Wouldn't it make repeated calls to "git merge" and friends to build
a long history slower, when the user does not run "git status" in
between?  E.g. "git cherry-pick -4 $other_topic", where you would
not even have a chance to run "git status" in the middle.  What do
the pros-and-cons look like?